//File Description: Interface with the environment, which can be Pidgin, or an independent test executable. This outlines the functions in Plugin.c and TestBed.c

//Set preferences. These are mainly wrappers to purple_prefs_* functions
gboolean    PrefExists    (const char* Name);
void        PrefsSetBool  (const char* Name, gboolean    Value);
void        PrefsSetInt   (const char* Name, int         Value);
void        PrefsSetString(const char* Name, const char* Value);
gboolean    PrefsGetBool  (const char* Name);
int         PrefsGetInt   (const char* Name);
const char* PrefsGetString(const char* Name);
void        PrefsRemove   (const char* Name);

//Other functions
void ProcessHotKey(int Identifier); //Process a hot key when it is pressed
GtkWidget* GetGTKBuddyListWindow(void); //Get the GTK window for the buddy list
GdkWindow* GetGDKBuddyListWindow(void); //Get the GDK window for the buddy list
